mozilla-devscripts (0.42) unstable; urgency=low

  * Team upload.
  * Fix typo in timezone setting. Thanks Reiner Herrmann. (Closes: #788376)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 11 Jun 2015 07:52:23 +0200

mozilla-devscripts (0.41) unstable; urgency=low

  * Team upload.
  * Use UTC as timezone when calling zip or unzip in xpi-pack, xpi-unpack,
    and install-xpi to make the build reproducible accross different
    timezones.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 01 Jun 2015 18:11:50 +0200

mozilla-devscripts (0.40) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Team upload.
  * xpi-pack: do not save extra attributes when making jar to allow
    reproducible builds.
  * Bump Standards-Version, no changes required.

  [ Ximin Luo ]
  * amo-changelog: parse into human-readable form and save to
    debian/upstream/changelog{,.html}.
  * amo-changelog: fetch all pages of Version History.
  * install-xpi: dh_link needs to be run from package home directory, e.g. when
    giving -D to dh.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 20 May 2015 08:50:14 +0200

mozilla-devscripts (0.39) unstable; urgency=medium

  [ Ximin Luo ]
  * amo-changelog: output UTF-8 by default instead of ASCII, which errors when
    the input contains non-ASCII chars

 -- Benjamin Drung <bdrung@debian.org>  Sat, 17 May 2014 19:28:49 +0200

mozilla-devscripts (0.38) unstable; urgency=medium

  * install-xpi: Catch RDF.RedlandError exception and print error message.
    (Closes: #746699)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 10 May 2014 00:32:50 +0200

mozilla-devscripts (0.37) unstable; urgency=medium

  [ Ximin Luo ]
  * Add amo-changelog, a script for fetches the version history of an addon
    from the Mozilla Extensions website. (Closes: #734476)

  [ Benjamin Drung ]
  * PEP8 fixes and pylint improvements.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 09 May 2014 23:41:21 +0200

mozilla-devscripts (0.36) unstable; urgency=medium

  * xpi-repack:
    - Use argparse instead of getopts.
    - Use the tempfile module to create a secure temporary directory.
      Thanks to Jakub Wilk <jwilk@debian.org> (Closes: #740759)
    - Print meaningful error message when --upstream-version is missing.
      (Closes: #740762)
    - Add --format option and document default compression format.
      (Closes: #639917)
  * xpi-unpack: Fix unpacke -> unpacked typo (Closes: #740752)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 11 Mar 2014 00:28:21 +0100

mozilla-devscripts (0.35) unstable; urgency=low

  * dh_xul-ext: Use "dpkg-vendor --derives-from Ubuntu" instead of
    "dpkg-vendor --query vendor" so Ubuntu derivatives get treated like
    Ubuntu and non-Ubuntu based Debian derivatives get treated like Debian.
    Thanks to Peter Michael Green for the patch (Closes: #732254)
  * Bump Standards-Version to 3.9.5 (no changes required).
  * Use debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 21 Dec 2013 22:36:07 +0100

mozilla-devscripts (0.34) unstable; urgency=low

  * Add Iceowl to xpi:Depends auto-detection. Thanks to Matthias Schmitz for
    the patch. (Closes: #705396)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 15 Apr 2013 12:51:43 +0200

mozilla-devscripts (0.33) unstable; urgency=low

  * dh_xul-ext:
    - Do not generate a Breaks entry for Thunderbird/Icedove 10 or later,
      because these versions default add-ons to compatible.
    - Fail if minVersion is greater than maxVersion. (Closes: #650348)
  * install-xpi: Search in the parent directories for a debian/ directory to
    work with debhelper's --sourcedirectory parameter. (Closes: #698033)
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Jan 2013 02:23:10 +0100

mozilla-devscripts (0.32) unstable; urgency=low

  * dh_xul-ext: Do not generate a Breaks entry for Firefox/Iceweasel 10 or
    later, because these versions default add-ons to compatible.
  * Drop unused dpkg-dev, fakeroot, quilt, and wget from Depends.
  * Drop unneeded cvs, git, and mercurial from Suggests.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 23 May 2012 23:50:23 +0200

mozilla-devscripts (0.31) unstable; urgency=low

  * dh_xul-ext: correct Breaks max-version (>> not >=). Thanks to Tanguy Ortolo
    for the patch. (Closes: #668892)
  * Adjust test cases.
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Update machine-readable copyright Format to 1.0.
  * install-xpi:
    - Fix crash when invoking --help outside a package directory. (LP: #900689)
    - Fail nicely if debian/control is missing.
  * xpi-repack: Fail nicely if debian/control is missing. (LP: #900687)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 22 Apr 2012 00:56:46 +0200

mozilla-devscripts (0.30) unstable; urgency=low

  * dh_xul-ext: Remove "-a" as the short form of the --all parameter,
    because "-a" is a common parameter for debhelper. (Closes: #655609)
  * Use unnamed variables in SPARQL queries if they are unused.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 12 Jan 2012 22:29:56 +0100

mozilla-devscripts (0.29) unstable; urgency=low

  [ Benjamin Drung ]
  * Move mozilla-devscripts under the hood of the Debian Mozilla
    Extension Maintainers.
  * Remove Fabien Tassin and Alexander Sack from Uploaders. Thanks
    for your work.
  * Removed all stuff that is unrelated to packaging XUL extensions.
  * Switch from dpkg-source 1.0 to 3.0 (native).
  * Updated VCS location.
  * Relicense my stuff under the ISC license.
  * Add ${xpi:Breaks} for versioned package dependency for maximum
    XUL application version (LP: #839130).

  [ Andrea Veri ]
  * debian/control:
    - long and short desc refreshed a bit with new content.
    - added myself into uploaders, I'll help Benjamin maintaining this package.
  * debian/copyright:
    - refreshed and made it compliant to DEP-5.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 12 Oct 2011 00:10:04 +0200

mozilla-devscripts (0.28) unstable; urgency=low

  * dh_xul-ext: Sort list of CSV files to fix test case failures
    (LP: #829493).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 20 Aug 2011 01:13:50 +0200

mozilla-devscripts (0.27) unstable; urgency=low

  * Update package lists for Debian unstable and Ubuntu oneiric.
  * Add a MOZ_XPI_CLEAN_COMMAND to xpi.mk; thanks to Ximin Luo for the patch
    (Closes: #632895).
  * Add an --all parameter and a DH_XUL_EXT_VENDOR environment variable to
    dh_xul-ext to make packages that work with every browser they can actually
    work with (Closes: #610499).
  * Update and fix my email addresses.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Jul 2011 18:53:09 +0200

mozilla-devscripts (0.26) unstable; urgency=low

  [ Chris Coulson ]
  * Remove additional binary files from Mozilla tarballs
    - update src/mozclient/remove.binonly.sh
  * Add services to the list of directories to clean when using
    build-system.tar.gz
    - update src/xulapp.mk.in

  [ Benjamin Drung ]
  * Update my email address.
  * Switch from python-support to dh_python2.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop DM-Upload-Allowed field.
  * Add setup.py to install moz_version.py.
  * Update package description.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Jun 2011 23:48:39 +0200

mozilla-devscripts (0.25) unstable; urgency=low

  * Fix additional quotation marks in extension ID (LP: #674171).
    - update src/dh_xul-ext
    - update src/install-xpi
  * Update package list for Debian experimental and Ubuntu natty.
    - update src/xul-app-data.csv.Debian
    - update src/xul-app-data.csv.Ubuntu
  * Drop backwards compatibility for Icedove/Thunderbird << 3.0.
    - update src/install-xpi
  * Switch from CDBS to dh 7 and simplifying packaging by improving Makefiles.
    - add Makefile
    - update debian/compat
    - update debian/control
    - remove debian/manpages
    - update debian/rules
    - update src/Makefile
  * Use versioned target applications in Depends instead of unversioned target
    applications in Recommends. All extensions have to add ${xpi:Depends} to
    Depends. (Closes: #602051)
    - update src/dh_xul-ext
    - update src/xpi.mk

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Nov 2010 01:02:35 +0100

mozilla-devscripts (0.24) unstable; urgency=low

  * Drop packages that are transitional or removed in Ubuntu maverick.
    - update src/xul-app-data.csv.Ubuntu
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 22 Sep 2010 17:40:21 +0200

mozilla-devscripts (0.23) unstable; urgency=low

  * Switch from python-rdflib to python-librdf; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 10 Jun 2010 13:55:17 +0200

mozilla-devscripts (0.22) unstable; urgency=low

  * Add a dh buildsystem; thanks to Mike Hommey for the patch (Closes: #576946).
    - add src/xul-ext_build.pm
    - update src/Makefile
  * Use debian/package.js as configuration file if it exists.
    - update man/install-xpi.1
    - update src/install-xpi

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 11 Apr 2010 21:51:25 +0200

mozilla-devscripts (0.21) unstable; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * xulapp.mk:
    - add testing and tools directory to clean target for xulrunner-1.9.2
      build system
      - update src/xulapp.mk.in

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * add new xpi-repack script
    - add man/xpi-repack.1
    - add src/xpi-repack
    - update src/Makefile
  * Install extensions into xul-ext subdirectory; thanks to Daniel Kahn Gillmor
    for the patch.
    - update src/install-xpi
  * Use optparse instead of getopts and ignore unknown options (LP: #543862).
    - update man/dh_xul-ext.1
    - update src/dh_xul-ext
  * Use optparse instead of getopts.
    - update src/install-xpi
  * install-xpi will create a system preference file in /etc; add
    --disable-system-prefs to disable the new behavior (Closes: #558490,
    LP: #535544)
    - update man/install-xpi.1
    - update src/install-xpi
    - update src/xpi.mk

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 06 Apr 2010 16:25:19 +0200

mozilla-devscripts (0.20) unstable; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * xpi-data:
    - make thunderbird unversioned
    - make firefox-3.6 and abrowser-3.6 be unversioned from now on
      - update src/xul-app-data.csv.Ubuntu

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * dh_xul-ext:
    - insert dh_xul-ext after dh_install into dh sequence (Closes: #566618)
      - update src/xul-ext.pm
  * packaging:
    - Bump Standards-Version to 3.8.4; no changes required.
      - update debian/control
  * xpi-data:
    - Drop xulrunner-1.9 from Debian unstable.
      - update src/xul-app-data.csv.Debian
    - Add xulrunner-1.9.2 to Ubuntu lucid.
      - update src/xul-app-data.csv.Ubuntu

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 04 Feb 2010 20:41:17 +0100

mozilla-devscripts (0.19) unstable; urgency=low

  * xpi.mk:
    - get rid of temp directory; extract xpi file directly into installation
      directory
      - update src/xpi.mk
    - correct permissions of installed files and add
      MOZ_XPI_PRESERVE_PERMISSIONS to disable this behaviour (Closes: #556741)
      - update src/xpi.mk
    - drop support for deprecated MOZ_EXT_NAME and MOZ_XPI_MOZILLA_DIRS variable
      - update src/xpi.mk
    - add new MOZ_XPI_INSTALL_DIRECTORY variable
      - update src/xpi.mk
  * med-xpi-{pack,unpack}:
    - Drop med- prefix.
      - rename man/med-xpi-{pack,unpack}.1 to man/xpi-{pack,unpack}.1
      - rename src/med-xpi-{pack,unpack} to src/xpi-{pack,unpack}
      - update README
      - update src/Makefile
      - update src/xpi.mk
  * xpi-data:
    - Add Firefox 3.6 and Thunderbird 3.0 for lucid.
      - update src/xpi-data-Ubuntu.mk
    - Convert xpi-data-*.mk files into xul-app-data.csv* files for dh_xul-ext
      - remove src/xpi-config.mk.in
      - remove src/xpi-data-Debian.mk
      - remove src/xpi-data-Ubuntu.mk
      - remove src/xpi-data-all.mk
      - remove src/xpi-data-common.mk
      - add src/xul-app-data.csv.Debian
      - add src/xul-app-data.csv.Ubuntu
      - update src/Makefile
  * dh_xul-ext:
    - Split substvars calculation from xpi.mk into new dh_xul-ext.
      - add src/dh_xul-ext
      - update src/Makefile
      - update src/xpi.mk
    - Move compare_versions from moz-version into separate module moz_version.py
      - add src/moz_version.py
      - update src/moz-version
      - update src/dh_xul-ext
    - Install moz_version.py using python-support
      - update debian/control
      - update debian/rules
      - update src/Makefile
    - Add "xul-ext" dh sequence
      - add src/xul-ext.pm
      - update src/Makefile
      - update debian/control
    - wrote man page for dh_xul-ext
      - add man/dh_xul-ext.1
      - update src/Makefile
  * install-xpi:
    - Split xpi installation from xpi.mk into new install-xpi script.
      - add src/install-xpi
      - update src/Makefile
      - update src/xpi.mk
      - update debian/control
    - wrote man page for install-xpi
      - add man/install-xpi.1
      - update src/Makefile
    - add --install-dir parameter to install-xpi
      - update man/install-xpi.1
      - update src/install-xpi
    - create links for architecture independent extensions in /usr/share instead
      of /usr/lib (Closes: #564671)
      - update src/install-xpi
    - create additional symlinks for icedove and thunderbird, because they do
      not scan /usr/{lib,share}/mozilla/extensions/$target_application
      - update src/install-xpi
  * moz-version:
    - Add parameter for converting Mozilla versions into Debian upstream
      versions and the other way round.
      - update man/moz-version.1
      - update src/moz_version.py
      - update src/moz-version
    - Add a test suite for testing moz-version --compare
      - add tests/test-moz-version
      - update debian/rules
      - update src/Makefile
  * packaging:
    - add homepage field
      - update debian/control

  [ Alexander Sack <asac@ubuntu.com> ]
  * dh_xul-ext:
    - convert xpath expression to python/rdflib; extract (id, max, min)
      triples for all targetApplications in get_supported_apps; in turn
      add python-rdflib to Depends (Closes: #551182, LP: #453040, #444540)
      - update src/dh_xul-ext
      - update debian/control

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Jan 2010 16:07:57 +0100

mozilla-devscripts (0.18) unstable; urgency=low

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * med-xpi-pack:
    - Keep track of produced jar files and remove them only after the build
      of xpi file (LP: #452422, Closes: #551065)
  * med-xpi-{pack,unpack}:
    - Enclose -name parameter with single quotes in find command

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 17 Nov 2009 18:45:21 +0100

mozilla-devscripts (0.17) unstable; urgency=low

  * xpi.mk:
    - Fail to build, if no xpi file is found.
      - update src/xpi.mk
    - only add stripped binary package name to xpi:Provides, if it equals the
      source package name
      - update src/xpi.mk
    - Fail to build, if the extension manager ID could not be detected.
      - update src/xpi.mk
    - support different types of install.rdf files (LP: #442897)
      - update src/xpi.mk
    - move data for the automagic detection of target application packages
      into separate xpi-data-*.mk files
      - update src/xpi.mk
      - add src/xpi-data-all.mk
      - add src/xpi-data-common.mk
      - add src/xpi-data-Debian.mk
      - add src/xpi-data-Ubuntu.mk
      - update debian/control
      - update src/Makefile
    - rename MOZ_EXT_NAME to MOZ_XPI_EXT_NAME
      - update src/xpi.mk
    - set default MOZ_XPI_DISTRO in xpi-config.mk on installation
      - add src/xpi-config.mk.in
      - update src/xpi.mk
      - update src/Makefile

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 07 Oct 2009 18:29:33 +0200

mozilla-devscripts (0.16) unstable; urgency=low

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * xpi.mk:
    - List all phony target and run dh_clean for all packages. These changes
      makes it possible to use xpi.mk without cdbs in a simple way.
      - update src/xpi.mk
    - MOZ_EXTENSION_PKG is defined in either case, removing missing case handler
      - update src/xpi.mk
    - rename stamp-* targets to *-stamp, merge stamp-extension-install into
      xpi-install, merge xpi-clean into clean
      - update src/xpi.mk
    - Guess common license file names if MOZ_XPI_DOCUMENTED_LICENSE_FILES is
      not set.
      - update src/xpi.mk
    - simplify xpi-depends-stamp rule
      - update src/xpi.mk
    - override files on xpi extraction (otherwise running build target would
      require user interaction)
      - update src/xpi.mk
    - only list packages in ${xpi:Depends} if they are available in the archive
      and add lsb-release as dependency
      - update src/xpi.mk
      - update debian/control
    - rename ${xpi:Depends} to ${xpi:Recommends} and keep ${xpi:Depends} for
      backwards compatibility
      - update src/xpi.mk
    - add ${xpi:Provides} and ${xpi:Enhances} to support the Debian policy for
      packaging extensions: http://wiki.debian.org/Teams/DebianMozExtTeam
      - update src/xpi.mk
    - "mkdir -p" can be run in all cases
      - update src/xpi.mk
    - add sanity check for xpi file and fail with useful error messages
      - update src/xpi.mk
    - support different types of install.rdf files (LP: #422898)
      - update src/xpi.mk
    - add MOZ_EXT_NAME option (used for calculating xpi:Provides)
      - update src/xpi.mk
  * packaging:
    - allow uploads done by Debian Maintainers
      - update debian/control
  * med-xpi-{pack,unpack}:
    - add parenthesis to $1 to avoid problems if $1 is empty
      - update src/med-xpi-pack
      - update src/med-xpi-unpack
    - replace \n in echo commands with an extra empty echo command to avoid
      bashism (Closes: #547755)
      - update src/med-xpi-pack
      - update src/med-xpi-unpack

  [ Alexander Sack <asac@ubuntu.com> ]
  + mozclient: use stable awesome-browser branding branch for firefox-3.0
    - update src/mozclient/firefox-3.0.conf
  + xpi.mk:
    - install extension tree to /usr/share or /usr/lib based on Architecture:
      field in debian/control for the target package
      - update src/xpi.mk

 -- Alexander Sack <asac@ubuntu.com>  Thu, 24 Sep 2009 14:08:10 +0200

mozilla-devscripts (0.15) unstable; urgency=low

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * packaging:
    - break and sort Depends and Suggests
      - update debian/control
    - add ${misc:Depends} to Depends
      - update debian/control
    - wrap too long lines
      - update debian/changelog
    - fix Vcs-Bzr-Browser field to Vcs-Browser
      - update debian/control
    - all files are directly installed into debian/mozilla-devscripts
      - update debian/rules
      - remove debian/mozilla-devscripts.install
    - Bump Standards-Version to 3.8.3
      - update debian/control
  * build-system:
    - make minefield-packager.mk executable
      - update src/Makefile
  * lp-locale-export.mk:
    - remove shebang
      - update src/lp-locale-export.mk
  * moz-version:
    - wrote man page for moz-version
      - add man/moz-version.1
      - update src/Makefile
  * xpi.mk:
    - add abrowser-3.7, firefox-3.7, xulrunner-1.9.3
      - update src/xpi.mk

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * med-xpi-{pack,unpack}:
    - wrote man page for med-xpi-{pack,unpack}
    - add man/med-xpi-{pack,unpack}.1
    - update src/Makefile
  * xpi.mk:
    - add MOZ_XPI_DOCUMENTED_LICENSE_FILES parameter to enable exclusion of
      extra license files during installation of the XPI to the packaging tree

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 22 Aug 2009 01:10:23 +0200

mozilla-devscripts (0.14) unstable; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * xpi.mk:
    - add target application id magic (|XPI_TARGET_EMIDs|); parse install.rdf
      and create extension links for all targetapplications like:
      |/usr/lib/mozilla/extensions/$targetappid/$extid|; in same turn we
      deprecate |MOZ_XPI_MOZILLA_DIRS| and unset its default accordingly
      - update src/xpi.mk
    - improve rule dependencies; avoid duplicate/circular depends
      - update src/xpi.mk
    - first pitch on automagic max/min version detection implemented; add a
      generic |TARGET_VERSION| call taking parameters a) appid,
      b) maxVersion|minVersion and c) extension-dir; this call is then used to
      parse the right max/minVersion for a given targetApplication on demand in
      |CHECK_VERSION|. In this way we now filter out unsuitable packages from
      xpi:Depends based on the install.rdf version bounds
      - update src/xpi.mk
    - add prism@developer.mozilla.org 1.0 to list of auto detected target
      application packages
      - update src/xpi.mk
    - use moz-version --compare in ${xpi:Depends} |CHECK_VERSION| call
      instead of the rather flawed dpkg --compare-versions approach.
      - update src/xpi.mk
    - add thunderbird-3.0 to list of auto detected target application packages
      - update src/xpi.mk
   * build-system:
    - add bindir_files feature and use that to install med-xpi-*pack as well as
      moz-version-compare to BINDIR; in turn adjust dh_install helper
      accordingly.
      - update src/Makefile
      - update debian/mozilla-devscripts.install
   * lp-locale-export.mk:
     - fix LP: #411191 - webfav lp-locale-export.mk yields en-US.xpi with
       .manifest files only - fix parsing bug for jar: protocol lines
  * packaging:
    - fix Vcs-Bzr: to point to a proper R/W location and use Vcs-Bzr-Browser for
      the browsable read-only location
      - update debian/control
    - add Benjamin Drung <bdrung@ubuntu.com> to Uploaders and also add my
      @ubuntu.com address work-time uploads won't count as NMU
      - update debian/control

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * xpi.mk:
    - add automatic xpi depends .substvars feature based on smart parsing
      of install.rdf and checking min/maxVersion for each target application;
      extensions can now use ${xpi:Depends} to get the right dependencies added;
      the version/package/targetAppId mapping information is currently
      maintained in src/xpi.mk itself
      - update src/xpi.mk
    - add moz-version helper script and ship it in extra_files; this script
      implements compare operations for mozilla versions as in
      https://developer.mozilla.org/en/Toolkit_version_format
      - add src/moz-version
      - update src/Makefile
    - implement start/end of life for comparing possible alternate binary
      dependency
      - update src/xpi.mk
    - make MOZ_EXTENSION_PKG optional; if this variable is unset, the first
      binary package listed in debian/control will be used
      - update src/xpi.mk

 -- Alexander Sack <asac@ubuntu.com>  Tue, 11 Aug 2009 14:01:26 +0200

mozilla-devscripts (0.13) unstable; urgency=low

  First debian upload (Closes: 528225)

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Drop python-2.4 from Depends, any python will do
    - update debian/control

  [ Alexander Sack <asac@debian.org> ]
  * adding asac to Uploaders: for first debian upload
  * improve debian/copyright

 -- Fabien Tassin <fta@ubuntu.com>  Tue, 07 Jul 2009 14:49:34 +0200

mozilla-devscripts (0.12) jaunty; urgency=low

  [ Fabien Tassin <fta@ubuntu.com> ]
  * mozclient:
    - fix hg incorrectly requesting branches
      - update src/mozclient/lib/MozClient/Mercurial.pm
    - search the main nobin script in the system wide mozclient
      path if we are building with a conf-dir and no script was found
      - update src/mozclient/lib/MozClient/VCS.pm
    - add support for local branches instead of the configured remote ones.
      It is faster if you have to publish tarballs quite often from a branch,
      such as when doing daily snapshots.
      - update src/mozclient.mk.in
      - update src/mozclient/lib/MozClient/{CVS,Git,Mercurial,Subversion,VCS}.pm
      - update src/mozclient/mozclient.pl
      - update README

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * Remove "firefox" from MOZ_XPI_MOZILLA_DIRS in src/xpi.mk, adjust parameter
    description

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 19 Jan 2009 23:19:05 +0100

mozilla-devscripts (0.11) jaunty; urgency=low

  * Bump Standards-Version to 3.8.0
    - update debian/control
  * [ minefield-packager ]
    upstream builds are now identified with a trailling "-mozilla-central",
    it's no longer "-trunk"
    - update src/minefield-packager.mk.in
  * [ mozclient ]
    - add support for external project files helping adoption
      of mozilla-devscripts by downstream. Introduce MOZCLIENT_PROJECTDIR.
      - update README
      - update src/mozclient.mk.in
    - don't run MOZCLIENT_EXCLUDE_SCRIPT if does not exist as it creates
      false positives
      - update src/mozclient/lib/MozClient/VCS.pm
    - drop $(EXT), left-over from when mozclient.pl was substed and use -c
      instead
      - update src/mozclient.mk.in
    - add support for git
      - add src/mozclient/lib/MozClient/Git.pm
      - update src/mozclient/mozclient.pl
      - update src/mozclient/lib/MozClient/VCS.pm
      - update debian/control
    - move thunderbird-3.0 and seamonkey-2.0 from cvs to hg comm-central
      - update src/mozclient/thunderbird-3.0.conf
      - update src/mozclient/seamonkey-2.0.conf
      - add src/mozclient/thunderbird-3.0-remove.binonly.sh
      - add src/mozclient/seamonkey-2.0-remove.binonly.sh
    - add project midbrowser (LP: #210314)
      - add src/mozclient/midbrowser.conf
      - update README
  * [ compare ]
    search for $(DEB_BUILDDIR)/mozilla/dist/bin, needed
    by mozilla packages using MOZ_OBJDIR
    - update src/compare.mk.in
  * [ xpi ]
    add support for xpi not located in the root directory. This is needed
    for extensions built with xulapp.mk
    - update src/xpi.mk
  * [ xulapp ]
    - allow caller to specify the xulrunner version by pre-setting
      DEBIAN_XUL_VER
      - update src/xulapp.mk.in
    - add confdefs.h and a.out to the clean rule
      - update src/xulapp.mk.in

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 15 Nov 2008 23:30:58 +0100

mozilla-devscripts (0.10) intrepid; urgency=low

  [ Sasa Bodiroza ]
  * Add src/med-xpi-{pack,unpack} scripts to manage packing and unpacking of
    XPI files.
  * Add default build command in src/xpi.mk.
  * In README:
    - Document src/med-xpi-{pack,unpack} scripts.
    - Document default build command in xpi.mk part.
  * Add zip to Depends in debian/control, because src/med-xpi-{pack,unpack}
    scripts need it.
  * Add src/med-xpi-{pack,unpack} to debian/mozilla-devscripts.install to
    install them to /usr/bin.

  [ Fabien Tassin ]
  * Change Recommends into Suggests for cvs and mercurial as those are
    not needed to use mozilla-devscripts as a build-dependency.
    - update debian/control
  * [mozclient] fix Mercurial tags not passed during checkout
    - update src/mozclient/lib/MozClient/Mercurial.pm

  [ Alexander Sack <asac@ubuntu.com> ]
  * inject awesome-browser branding into firefox source tree by
    adding appropriate MOZCLIENT_POSTCOCMD to the mozclient configs
    - update src/mozclient/firefox-3.0.conf
    - update src/mozclient/firefox-3.1.conf
    - update src/mozclient/firefox-4.0.conf

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 02 Sep 2008 13:29:40 +0200

mozilla-devscripts (0.09) intrepid; urgency=low

  * Move cvs and mercurial from depends to recommends
  * [ mozclient ]
    + Full refactoring of mozclient: It is now written in object-oriented Perl.
      The makefile version was getting difficult to extend and to maintain.
      We now have a base class called MozClient::VCS and a set of VCS classes
      inheriting for it.
    + New features:
      * MOZCLIENT_DYNTAG and MOZCLIENT_DYNTAG_FILES: nspr and nss are now
        using a dynamic tag. They used to fetch HEAD which made them tricky
        to distribute. Now, we take NSPR_CO_TAG and NSS_CO_TAG from
        mozilla/client.mk (fetched from HEAD or from a tag) and we assign
        a version like nss-3.12.0.3+1.9~cvs without trailing cvs date
        (as it's a tagged nss), or nss-3.12.0.3+1.9 when using a tagged
        mozilla/client.mk
      * add optional MOZCLIENT_SEPARATOR to specify what we want between
        the version and the date/revision tag in the version (default to ~)
      * run an optional package specific clean-up script. It should be called
        src/mozclient/${pkg_name}-remove.binonly.sh
      * add support for svn
      * add optional MOZCLIENT_TAREXCLUDE to extend the list of dirs/files
        to exclude from packaging
      * change MOZCLIENT_CVS_LOC and MOZCLIENT_HG_LOC into a common
        MOZCLIENT_VCS_LOC and make it mandatory
      * add MOZCLIENT_APPNAME in order for xulrunner applications to specify
        their toplevel directory name. It is set by default to 'mozilla'
      * change version of all hg project to have YYYYMMDDrRRR instead of
        RRR~YYYMMDD which was different from all other VCS
    + New or updated projects:
      * add projects for Prism and Flock using svn
      * add project for Fennec using hg
      * make xulrunner-1.9.1 and xulrunner-2.0 use embedded tarballs
      * disable MOZCLIENT_POSTCOCMD for xulrunner-1.9.1 and firefox-3.1
        now that upstream made it obsolete
    + Update global clean-up script to remove new .dll/.exe shipped
      by upstream

  * [ compare ]
    + Add build-tree/dist to the list of directories for compare1
    + add support for flock

  * [ xulapp ]
    + Add a rules file for xulrunner applications installing a build
      system from the xulrunner SDK

 -- Fabien Tassin <fta@sofaraway.org>  Sat, 28 Jun 2008 16:41:05 +0200

mozilla-devscripts (0.08.1) intrepid; urgency=low

  Release cherry pick from 0.09 release to intrepid
  [ Fabien Tassin ]
  * Move cvs and mercurial from depends to recommends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Fri, 30 May 2008 12:33:08 +0200

mozilla-devscripts (0.08) intrepid; urgency=low

  [ Alexander Sack ]
  * add .NOTPARALLEL target to make mozclient.mk more reliable in parallel
    make runs. We don't want parallel execution within the scope of
    mozclient.mk. Maybe noteworthy that this doesn't prevent clients to
    invoke get-orig-source with distinct parameters in parallel.
    - update src/mozclient.mk.in

  [ Fabien Tassin ]
  * [ mozclient ]
    + change the mozclient-status target name to list-tags, easier to remember.
      Preserve legacy mozclient-status
      - update src/mozclient.mk.in
      - update README
    + add support for Mercurial (hg) in addition to cvs.
      Add MOZCLIENT_VCS variable (default to cvs). Add mercurial to Depends.
      The preferred way to fetch a particular hg snapshot is to use a revision
      number, it's better than a date.
      - update deban/control
      - update src/mozclient.mk.in
      - update README
    + make the mozclient patch system optional by introducing a new variable
      called MOZCLIENT_WANTPATCH. Set it only for firefox 3.
      - update src/firefox-3.0-full.mk.in
      - update src/firefox-3.0.mk.in
      - update src/mozclient.mk.in
    + add 4 projects using Mercurial. They need python (>= 2.4) so add
      python | python2.4 to Depends. They also need a post checkout script to
      fetch dependencies (nspr/nss/tamarin) so introduce a new variable called
      MOZCLIENT_POSTCOCMD. We now use hgweb instead of bonsai to get revision
      ids and dates.
      - update deban/control
      - add src/firefox-3.1.mk.in
      - add src/firefox-4.0.mk.in
      - add src/xulrunner-1.9.1.mk.in
      - add src/xulrunner-2.0.mk.in
      - update src/Makefile
    + add a variable called DEBIAN_KEEP_VCS to preserve the VCS files such as
      */CVS or .hg
      - update src/mozclient.mk.in
      - update README
    + Add a mozclient-version target producing a VERSION=foo string on stdout
      - update src/mozclient.mk.in
    + Fix nspr and nss conf files to fetch xulrunner version file using
      MOZCLIENT_FILE instead of MOZCLIENT_MODULES
      - update src/nspr.mk.in
      - update src/nss.mk.in

   * [ minefield-packager ]
     + drop dpkg-shlibdeps's stderr messages, add a banner with a license
      - udpate src/minefield-packager.mk.in
     + change the description in the desktop file to identify more clearly
       that this is an upstream nightly build
      - udpate src/minefield-packager/debian/pkgname.desktop.in
     + drop gif/jpg/png from the MimeType field so this minefield does not
       appear in the Open With menu for images
      - udpate src/minefield-packager/debian/pkgname.desktop.in

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 30 May 2008 12:33:08 +0200

mozilla-devscripts (0.07) hardy; urgency=low

  * [ mozclient ]
    + Fix checkouts by date where the provided date was not
      transformed into a date that cvs could recognize (LP: #215382)
      - update src/mozclient.mk.in

 -- Fabien Tassin <fta@sofaraway.org>  Thu, 10 Apr 2008 23:07:45 +0200

mozilla-devscripts (0.06) hardy; urgency=low

  [ Alexander Sack ]
  * [ xpi ]:
    + introduce support to extract xpi translations from any build tree that
      ships chrome.manifest indexed xul/xpi translations. This feature is ment
      to be hooked into install phase of then package build. cdbs users can just
      include this helper as we ship the appropriate cdbs hooks.
      - add src/lp-locale-export.mk
  * [ lp-locale-export ]:
    + add lp-locale-export.mk to the build (add to extra_mk_files)
      - update src/Makefile
    + add README stub for lp-locale-export.mk
      - update README

  [ Fabien Tassin ]
  * [ compare ]:
    + Add support for compare in thunderbird-3.0
      - update src/thunderbird-3.0.mk.in
  * [ mozclient ]:
    + Update mozclient-status rule to list tags relative to each project
      instead of just gecko trunk
      - update src/mozclient.mk.in
    + Update nspr project file to generate a version containing the gecko
      version, such as 4.7.1~beta+1.9b5~cvs20080310t1054 or
      4.7.1~beta2+1.9b5~cvs20080314t1505
      - update src/nspr.mk.in
    + Fail when MOZCLIENT_GETDATE was not able to find the date on bonsai
      - update src/mozclient.mk.in
    + Add a firefox-3.0-full project creating a full firefox tarball,
      i.e. regular browser and not the ubuntu specific xulbrowser
      - add src/firefox-3.0-full.mk.in
      - update src/Makefile
    + Add a xulrunner-1.8 project
      - add src/xulrunner-1.8.mk.in
      - update src/Makefile
  * [ minefield-packager ]
    + New module creating debs from Firefox nightly built tarballs
      - add src/minefield-packager.mk.in
      - add src/minefield-packager/debian/*
      - update src/Makefile
      - update README
    + Add dpkg-dev (for dpkg-deb) and fakeroot to depends
      - update debian/control
  * Add $(extra_mk_dirs) to install a full directory and use it for
    minefield-packager/debian and (mozclient/)patches
    - update src/Makefile

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 04 Apr 2008 16:14:45 +0200

mozilla-devscripts (0.05) hardy; urgency=low

  * new release shipping xpi.mk (LP: #195366)
    - this upload belongs to the general FF Exception of #193225.

  [ Fabien Tassin ]
  * Update mozclient patch for xulbrowser now that firefox 3 needs
    mozilla/memory to build
    - update src/patches/xulbrowser_target.patch
  * Rewrite package description now that we provide several scripts
    - update debian/control
  * Update the compare module to also check dist/bin vs debian/tmp
    - update src/compare.mk.in
    - update src/firefox-3.0.mk.in
    - update src/xulrunner-1.9.mk.in
    - update README
  * Change nspr version in mozclient to ~~cvs now that upstream bumped
    its version so we can change our versionning later
    - update src/nspr.mk.in

  [ Alexander Sack ]
  * add initial xpi makefile helper that tries to make extension package
    maintenance as trivial as possible
    - add src/xpi.mk
    - update src/Makefile
  * add libxml-xpath-perl to Depends: required by install.rdf introspection
    in xpi.mk
    - update debian/control
  * add unzip (needed by xpi.mk) to Depends: of mozilla-devscript binary package
    - update debian/control
  * introduce MOZ_XPI_MOZILLA_DIRS in xpi.mk with default values:
    "firefox-addons firefox"
    - update src/xpi.mk
  * document xpi.mk in README
    - update README

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 25 Feb 2008 11:39:01 +0100

mozilla-devscripts (0.04) hardy; urgency=low

  * Add support in mozclient for DEBIAN_TAG for nss and nspr by not using
    mozilla/client.mk for those two.
    - update src/mozclient.mk.in and README
    - update src/{nspr,nss}.mk.in
    - drop src/patches/{nspr,nss}_target.patch
    - update src/patches/xulbrowser_target.patch
    - update src/patches/series

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 08 Feb 2008 22:13:42 +0100

mozilla-devscripts (0.03) hardy; urgency=low

  * Fix PST date missed for direct checkout
    - update src/mozclient.mk.in
  * Add the 'compare' script
    - add src/compare.mk.in
    - update src/Makefile
  * Rephrase documentation and document 'compare'
    - update README
    - update src/mozclient.mk.in
  * Add support for 'compare' in seamonkey, firefox and xulrunner
    - update src/seamonkey-2.0.mk.in
    - update src/xulrunner-1.9.mk.in
    - update src/firefox-3.0.mk.in

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 29 Jan 2008 14:06:37 +0100

mozilla-devscripts (0.02) hardy; urgency=low

  * Move patches for mozilla/client.mk inside src/ as they were previously
    missed at install time. This will prevent confusions with other future
    scripts
  * Add PST to dates passed to cvs so it matches dates from Bonsai
    - update src/mozclient.mk.in
  * Drop Changelog.txt, use debian/changelog instead

 -- Fabien Tassin <fta@sofaraway.org>  Thu, 17 Jan 2008 22:17:46 +0100

mozilla-devscripts (0.01) hardy; urgency=low

  * Initial version (LP: #179501)

 -- Fabien Tassin <fta@sofaraway.org>  Sun, 30 Dec 2007 21:06:05 +0100
